# Visread + casatools API

Visread tools with a `casatools` dependency (`visread[casa]`). See {ref}`installation-label` for more details.

Before getting started with the *visread* package, we recommend becoming familiar with the [casatools](https://casadocs.readthedocs.io/en/stable/api/casatools.html) provided as part of CASA. You can see some of our highlights in the tutorials and in {ref}`casatools-api-label`.

These tools are mainly designed to streamline reading visibilities from a CASA measurement set and then passing these to the underlying visread routines in {ref}`visread-api-label`.

## Process

```{eval-rst}
.. automodule:: visread.process_casa
```

## Scatter

```{eval-rst}
.. automodule:: visread.scatter_casa
```

## Visualization

```{eval-rst}
.. automodule:: visread.visualization_casa
```
